.miam-text-input {
  position: relative;

  .miam-text-input__label {
    position: absolute;
    transition: 100ms linear;
    color: var(--m-color-light-slate);
    top: 8px;
    left: 16px;
    cursor: text;
    
    &.miam-text-input__label__top {
     left: 16px;
     top: -13px;
     transform: translate(0) scale(0.8);
     background-color: var( --m-color-white);
     padding-right: 4px;
    }
  }

  .miam-text-input__input {
    border: 0;
    appearance: none;
    border-radius: 0;
    padding: 0;
    flex: 1;
    text-overflow: ellipsis;
  }

  .miam-text-input__input:focus {
    outline: 0;
  }

  &:focus-within {
    .miam-text-input__label{
      @extend .miam-text-input__label__top;
    }
  }
}